Package org.stianloader.micromixin.transform.internal.util

## Class Atomics

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.Atomics

    public class Atomics
    extends java.lang.Object

### Constructor Summary

Constructors
`Atomics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getPlain​(java.util.concurrent.atomic.AtomicInteger atomicInt)`
`static long` `randomLong()`
`static void` `setPlain​(java.util.concurrent.atomic.AtomicInteger atomicInt, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Atomics

    public Atomics()

### Method Detail

#### getPlain

    @Contract(pure=true)
    public static int getPlain​(@NotNull
                               java.util.concurrent.atomic.AtomicInteger atomicInt)

#### randomLong

    public static long randomLong()

#### setPlain

    @Contract(pure=false,
              mutates="param1")
    public static void setPlain​(@NotNull
                                java.util.concurrent.atomic.AtomicInteger atomicInt,
                                int value)